Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui
Interface ISharedImages

public interface ISharedImages

Standard images provided by the Java UI plug-in. This class offers access to the standard images in two forms:

- Use `ISharedImages.getImage(IMG_OBJS_FOO)` to access the shared standard `Image` object (caller must not dispose of image).
- Use `ISharedImages.getImageDescriptor(IMG_OBJS_FOO)` to access the standard `ImageDescriptor` object (caller is responsible for disposing of any `Image` objects it creates using this descriptor).

This interface is not intended to be implemented by clients.

Field Summary
`static String` | `IMG_FIELD_DEFAULT` Key to access the shared image or image descriptor for a field with default visibility.
`static String` | `IMG_FIELD_PRIVATE` Key to access the shared image or image descriptor for a private field.
`static String` | `IMG_FIELD_PROTECTED` Key to access the shared image or image descriptor for a protected field.
`static String` | `IMG_FIELD_PUBLIC` Key to access the shared image or image descriptor for a public field.
`static String` | `IMG_OBJS_CFILE` Key to access the shared image or image descriptor for a Java class file.
`static String` | `IMG_OBJS_CLASS` Key to access the shared image or image descriptor for a class.
`static String` | `IMG_OBJS_CLASS_DEFAULT` Key to access the shared image or image descriptor for a class with default visibility.
`static String` | `IMG_OBJS_CUNIT` Key to access the shared image or image descriptor for a Java compilation unit.
`static String` | `IMG_OBJS_DEFAULT` Key to access the shared image or image descriptor for class members with default visibility.
`static String` | `IMG_OBJS_EMPTY_LOGICAL_PACKAGE` Key to access the shared image or image descriptor for an empty logical package.
`static String` | `IMG_OBJS_EMPTY_PACKAGE` Key to access the shared image or image descriptor for an empty package.
`static String` | `IMG_OBJS_EXTERNAL_ARCHIVE` Key to access the shared image or image descriptor for external archives.
`static String` | `IMG_OBJS_EXTERNAL_ARCHIVE_WITH_SOURCE` Key to access the shared image or image descriptor for external archives with source.
`static String` | `IMG_OBJS_IMPCONT` Key to access the shared image or image descriptor for an import container.
`static String` | `IMG_OBJS_IMPDECL` Key to access the shared image or image descriptor for an import statement.
`static String` | `IMG_OBJS_INNER_CLASS_DEFAULT` Key to access the shared image or image descriptor for a inner class with default visibility.
`static String` | `IMG_OBJS_INNER_CLASS_PRIVATE` Key to access the shared image or image descriptor for a private inner class.
`static String` | `IMG_OBJS_INNER_CLASS_PROTECTED` Key to access the shared image or image descriptor for a protected inner class.
`static String` | `IMG_OBJS_INNER_CLASS_PUBLIC` Key to access the shared image or image descriptor for a public inner class.
`static String` | `IMG_OBJS_INNER_INTERFACE_DEFAULT` Key to access the shared image or image descriptor for an inner interface with default visibility.
`static String` | `IMG_OBJS_INNER_INTERFACE_PRIVATE` Key to access the shared image or image descriptor for a private inner interface.
`static String` | `IMG_OBJS_INNER_INTERFACE_PROTECTED` Key to access the shared image or image descriptor for a protected inner interface.
`static String` | `IMG_OBJS_INNER_INTERFACE_PUBLIC` Key to access the shared image or image descriptor for a public inner interface.
`static String` | `IMG_OBJS_INTERFACE` Key to access the shared image or image descriptor for an interface.
`static String` | `IMG_OBJS_INTERFACE_DEFAULT` Key to access the shared image or image descriptor for an interface with default visibility.
`static String` | `IMG_OBJS_JAR` Key to access the shared image or image descriptor for a JAR.
`static String` | `IMG_OBJS_JAR_WITH_SOURCE` Key to access the shared image or image descriptor for a JAR with source.
`static String` | `IMG_OBJS_LIBRARY` Key to access the shared image or image descriptor for a library (class path container).
`static String` | `IMG_OBJS_LOCAL_VARIABLE` Key to access the shared image or image descriptor for a local variable.
`static String` | `IMG_OBJS_LOGICAL_PACKAGE` Key to access the shared image or image descriptor for a logical package.
`static String` | `IMG_OBJS_PACKAGE` Key to access the shared image or image descriptor for a package.
`static String` | `IMG_OBJS_PACKDECL` Key to access the shared image or image descriptor for a package declaration.
`static String` | `IMG_OBJS_PACKFRAG_ROOT` Key to access the shared image or image descriptor for a package fragment root.
`static String` | `IMG_OBJS_PRIVATE` Key to access the shared image or image descriptor for a private member.
`static String` | `IMG_OBJS_PROTECTED` Key to access the shared image or image descriptor for a protected member.
`static String` | `IMG_OBJS_PUBLIC` Key to access the shared image or image descriptor for a public member.

Method Summary
`Image` | `getImage(String key)` Returns the shared image managed under the given key.
`ImageDescriptor` | `getImageDescriptor(String key)` Returns the image descriptor managed under the given key.

Field Detail

### IMG_OBJS_CUNIT

    public static final String IMG_OBJS_CUNIT

  Key to access the shared image or image descriptor for a Java compilation unit.

  See Also:
    Constant Field Values

### IMG_OBJS_CFILE

    public static final String IMG_OBJS_CFILE

  Key to access the shared image or image descriptor for a Java class file.

  See Also:
    Constant Field Values

### IMG_OBJS_JAR

    public static final String IMG_OBJS_JAR

  Key to access the shared image or image descriptor for a JAR.

  See Also:
    Constant Field Values

### IMG_OBJS_JAR_WITH_SOURCE

    public static final String IMG_OBJS_JAR_WITH_SOURCE

  Key to access the shared image or image descriptor for a JAR with source.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_OBJS_EXTERNAL_ARCHIVE

    public static final String IMG_OBJS_EXTERNAL_ARCHIVE

  Key to access the shared image or image descriptor for external archives.

  Since:
    2.1
  See Also:
    Constant Field Values

### IMG_OBJS_EXTERNAL_ARCHIVE_WITH_SOURCE

    public static final String IMG_OBJS_EXTERNAL_ARCHIVE_WITH_SOURCE

  Key to access the shared image or image descriptor for external archives with source.

  Since:
    2.1
  See Also:
    Constant Field Values

### IMG_OBJS_LIBRARY

    public static final String IMG_OBJS_LIBRARY

  Key to access the shared image or image descriptor for a library (class path container).

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_OBJS_PACKFRAG_ROOT

    public static final String IMG_OBJS_PACKFRAG_ROOT

  Key to access the shared image or image descriptor for a package fragment root.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_OBJS_PACKAGE

    public static final String IMG_OBJS_PACKAGE

  Key to access the shared image or image descriptor for a package.

  See Also:
    Constant Field Values

### IMG_OBJS_EMPTY_PACKAGE

    public static final String IMG_OBJS_EMPTY_PACKAGE

  Key to access the shared image or image descriptor for an empty package.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_OBJS_LOGICAL_PACKAGE

    public static final String IMG_OBJS_LOGICAL_PACKAGE

  Key to access the shared image or image descriptor for a logical package.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_OBJS_EMPTY_LOGICAL_PACKAGE

    public static final String IMG_OBJS_EMPTY_LOGICAL_PACKAGE

  Key to access the shared image or image descriptor for an empty logical package.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_OBJS_CLASS

    public static final String IMG_OBJS_CLASS

  Key to access the shared image or image descriptor for a class.

  See Also:
    Constant Field Values

### IMG_OBJS_CLASS_DEFAULT

    public static final String IMG_OBJS_CLASS_DEFAULT

  Key to access the shared image or image descriptor for a class with default visibility.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_OBJS_INNER_CLASS_PUBLIC

    public static final String IMG_OBJS_INNER_CLASS_PUBLIC

  Key to access the shared image or image descriptor for a public inner class.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_OBJS_INNER_CLASS_DEFAULT

    public static final String IMG_OBJS_INNER_CLASS_DEFAULT

  Key to access the shared image or image descriptor for a inner class with default visibility.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_OBJS_INNER_CLASS_PROTECTED

    public static final String IMG_OBJS_INNER_CLASS_PROTECTED

  Key to access the shared image or image descriptor for a protected inner class.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_OBJS_INNER_CLASS_PRIVATE

    public static final String IMG_OBJS_INNER_CLASS_PRIVATE

  Key to access the shared image or image descriptor for a private inner class.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_OBJS_INTERFACE

    public static final String IMG_OBJS_INTERFACE

  Key to access the shared image or image descriptor for an interface.

  See Also:
    Constant Field Values

### IMG_OBJS_INTERFACE_DEFAULT

    public static final String IMG_OBJS_INTERFACE_DEFAULT

  Key to access the shared image or image descriptor for an interface with default visibility.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_OBJS_INNER_INTERFACE_PUBLIC

    public static final String IMG_OBJS_INNER_INTERFACE_PUBLIC

  Key to access the shared image or image descriptor for a public inner interface.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_OBJS_INNER_INTERFACE_DEFAULT

    public static final String IMG_OBJS_INNER_INTERFACE_DEFAULT

  Key to access the shared image or image descriptor for an inner interface with default visibility.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_OBJS_INNER_INTERFACE_PROTECTED

    public static final String IMG_OBJS_INNER_INTERFACE_PROTECTED

  Key to access the shared image or image descriptor for a protected inner interface.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_OBJS_INNER_INTERFACE_PRIVATE

    public static final String IMG_OBJS_INNER_INTERFACE_PRIVATE

  Key to access the shared image or image descriptor for a private inner interface.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_OBJS_PACKDECL

    public static final String IMG_OBJS_PACKDECL

  Key to access the shared image or image descriptor for a package declaration.

  See Also:
    Constant Field Values

### IMG_OBJS_IMPCONT

    public static final String IMG_OBJS_IMPCONT

  Key to access the shared image or image descriptor for an import container.

  See Also:
    Constant Field Values

### IMG_OBJS_IMPDECL

    public static final String IMG_OBJS_IMPDECL

  Key to access the shared image or image descriptor for an import statement.

  See Also:
    Constant Field Values

### IMG_OBJS_PUBLIC

    public static final String IMG_OBJS_PUBLIC

  Key to access the shared image or image descriptor for a public member.

  See Also:
    Constant Field Values

### IMG_OBJS_PROTECTED

    public static final String IMG_OBJS_PROTECTED

  Key to access the shared image or image descriptor for a protected member.

  See Also:
    Constant Field Values

### IMG_OBJS_PRIVATE

    public static final String IMG_OBJS_PRIVATE

  Key to access the shared image or image descriptor for a private member.

  See Also:
    Constant Field Values

### IMG_OBJS_DEFAULT

    public static final String IMG_OBJS_DEFAULT

  Key to access the shared image or image descriptor for class members with default visibility.

  See Also:
    Constant Field Values

### IMG_FIELD_PUBLIC

    public static final String IMG_FIELD_PUBLIC

  Key to access the shared image or image descriptor for a public field.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_FIELD_PROTECTED

    public static final String IMG_FIELD_PROTECTED

  Key to access the shared image or image descriptor for a protected field.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_FIELD_PRIVATE

    public static final String IMG_FIELD_PRIVATE

  Key to access the shared image or image descriptor for a private field.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_FIELD_DEFAULT

    public static final String IMG_FIELD_DEFAULT

  Key to access the shared image or image descriptor for a field with default visibility.

  Since:
    3.0
  See Also:
    Constant Field Values

### IMG_OBJS_LOCAL_VARIABLE

    public static final String IMG_OBJS_LOCAL_VARIABLE

  Key to access the shared image or image descriptor for a local variable.

  Since:
    3.0
  See Also:
    Constant Field Values

Method Detail

### getImage

    public Image getImage(String key)

  Returns the shared image managed under the given key.

  Note that clients must not dispose the image returned by this method.

  Parameters:
    `key` - the image key; one of the `IMG_OBJS_*` constants
  Returns:
    the shared image managed under the given key, or `null` if none

### getImageDescriptor

    public ImageDescriptor getImageDescriptor(String key)

  Returns the image descriptor managed under the given key.

  Parameters:
    `key` - the image key; one of the `IMG_OBJS_*` constants
  Returns:
    the image descriptor managed under the given key, or `null` if none

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.